Bug 225185 - [exp-run] Switch C compiler used by GHC to base Clang
Summary: [exp-run] Switch C compiler used by GHC to base Clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D12043
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-01-15 17:35 UTC by Gleb Popov
Modified: 2018-02-10 08:05 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments
The patch (198.40 KB, patch)
2018-01-15 17:35 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2018-01-15 17:35:36 UTC
Created attachment 189756 [details]
The patch

Phabricator revision:  https://reviews.freebsd.org/D12043
Comment 1 Antoine Brodin freebsd_committer 2018-01-17 06:45:56 UTC
Exp-run looks fine.
Comment 2 Gleb Popov freebsd_committer 2018-01-17 13:10:23 UTC
> Assignee: portmgr@FreeBSD.orgfreebsd-haskell@FreeBSD.org

Shouldn't it be haskell@FreeBSD.org?
Comment 3 Tobias C. Berner freebsd_committer 2018-01-17 15:53:12 UTC
(In reply to arrowd from comment #2)
arrowd, no it's correct like this. Once the exp-run is done, it will be assigned to haskell@ :)
Comment 4 Jan Beich freebsd_committer 2018-01-19 21:37:57 UTC
(In reply to arrowd from comment #2)
> Shouldn't it be haskell@FreeBSD.org?

Probably. Nothing is assigned to freebsd-haskell@ and having both variants spams the mailing list with duplicate mails.

> Once the exp-run is done, it will be assigned to haskell@

This is confusing given comment 1. Did you queue another exp-run?
Comment 5 Tobias C. Berner freebsd_committer 2018-01-19 23:23:47 UTC
(In reply to Jan Beich from comment #4)
woops, did not see it was already finished.
Comment 6 Gleb Popov freebsd_committer 2018-01-20 08:14:36 UTC
So, what now? I don't have rights to commit this.
Comment 7 Gleb Popov freebsd_committer 2018-02-04 10:55:15 UTC
Ping.
Comment 8 commit-hook freebsd_committer 2018-02-10 08:03:42 UTC
A commit references this bug:

Author: tcberner
Date: Sat Feb 10 08:03:33 UTC 2018
New revision: 461362
URL: https://svnweb.freebsd.org/changeset/ports/461362

Log:
  Switch C compiler used to compile GHC to base Clang.

  This removes build dependency on gcc and runtime dependency on gcc's runtime libraries.

  Big thanks to Gleb for working on this.

  PR:		225185
  Submitted by:	Gleb Popov <6yearold@gmail.com>
  Exp-run by:	antoine
  Reviewed by:	pgj
  Differential Revision:	https://reviews.freebsd.org/D12043

Changes:
  head/archivers/hs-tar/Makefile
  head/archivers/hs-zip-archive/Makefile
  head/archivers/hs-zlib/Makefile
  head/archivers/hs-zlib-bindings/Makefile
  head/archivers/hs-zlib-enum/Makefile
  head/audio/hs-ALUT/Makefile
  head/audio/hs-OpenAL/Makefile
  head/audio/hs-libmpd/Makefile
  head/benchmarks/hs-criterion/Makefile
  head/converters/hs-aeson/Makefile
  head/converters/hs-aeson-compat/Makefile
  head/converters/hs-aeson-pretty/Makefile
  head/converters/hs-dataenc/Makefile
  head/converters/hs-json/Makefile
  head/converters/hs-sandi/Makefile
  head/databases/hs-esqueleto/Makefile
  head/databases/hs-hedis/Makefile
  head/databases/hs-mysql/Makefile
  head/databases/hs-persistent/Makefile
  head/databases/hs-persistent-sqlite/Makefile
  head/databases/hs-persistent-template/Makefile
  head/deskutils/hs-fdo-notify/Makefile
  head/devel/hs-BNFC/Makefile
  head/devel/hs-Boolean/Makefile
  head/devel/hs-BoundedChan/Makefile
  head/devel/hs-ConfigFile/Makefile
  head/devel/hs-DrIFT/Makefile
  head/devel/hs-EdisonAPI/Makefile
  head/devel/hs-EdisonCore/Makefile
  head/devel/hs-Glob/Makefile
  head/devel/hs-HUnit/Makefile
  head/devel/hs-IfElse/Makefile
  head/devel/hs-List/Makefile
  head/devel/hs-ListLike/Makefile
  head/devel/hs-MemoTrie/Makefile
  head/devel/hs-MissingH/Makefile
  head/devel/hs-MonadRandom/Makefile
  head/devel/hs-ObjectName/Makefile
  head/devel/hs-Only/Makefile
  head/devel/hs-PSQueue/Makefile
  head/devel/hs-QuickCheck/Makefile
  head/devel/hs-ReadArgs/Makefile
  head/devel/hs-STMonadTrans/Makefile
  head/devel/hs-SafeSemaphore/Makefile
  head/devel/hs-ShellCheck/Makefile
  head/devel/hs-StateVar/Makefile
  head/devel/hs-Stream/Makefile
  head/devel/hs-TypeCompose/Makefile
  head/devel/hs-abstract-deque/Makefile
  head/devel/hs-abstract-par/Makefile
  head/devel/hs-activehs-base/Makefile
  head/devel/hs-alex/Makefile
  head/devel/hs-ansi-terminal/Makefile
  head/devel/hs-ansi-wl-pprint/Makefile
  head/devel/hs-arrows/Makefile
  head/devel/hs-asn1-data/Makefile
  head/devel/hs-asn1-encoding/Makefile
  head/devel/hs-asn1-parse/Makefile
  head/devel/hs-asn1-types/Makefile
  head/devel/hs-async/Makefile
  head/devel/hs-atomic-primops/Makefile
  head/devel/hs-auto-update/Makefile
  head/devel/hs-base-compat/Makefile
  head/devel/hs-base-orphans/Makefile
  head/devel/hs-base-unicode-symbols/Makefile
  head/devel/hs-base16-bytestring/Makefile
  head/devel/hs-base64-bytestring/Makefile
  head/devel/hs-basic-prelude/Makefile
  head/devel/hs-bifunctors/Makefile
  head/devel/hs-bits-atomic/Makefile
  head/devel/hs-blaze-builder/Makefile
  head/devel/hs-blaze-builder-enumerator/Makefile
  head/devel/hs-blaze-textual/Makefile
  head/devel/hs-bloomfilter/Makefile
  head/devel/hs-boxes/Makefile
  head/devel/hs-bsd-sysctl/Makefile
  head/devel/hs-byteable/Makefile
  head/devel/hs-byteorder/Makefile
  head/devel/hs-bytestring-lexing/Makefile
  head/devel/hs-bytestring-mmap/Makefile
  head/devel/hs-bytestring-nums/Makefile
  head/devel/hs-bytestring-show/Makefile
  head/devel/hs-c2hs/Makefile
  head/devel/hs-c2hs/distinfo
  head/devel/hs-c2hs/files/patch-src_C2HS_Config.hs
  head/devel/hs-cabal-install/Makefile
  head/devel/hs-call-stack/Makefile
  head/devel/hs-cereal/Makefile
  head/devel/hs-checkers/Makefile
  head/devel/hs-chunked-data/Makefile
  head/devel/hs-classy-prelude/Makefile
  head/devel/hs-classy-prelude-conduit/Makefile
  head/devel/hs-clock/Makefile
  head/devel/hs-cmdargs/Makefile
  head/devel/hs-code-page/Makefile
  head/devel/hs-colour/Makefile
  head/devel/hs-concurrent-output/Makefile
  head/devel/hs-conduit/Makefile
  head/devel/hs-conduit-combinators/Makefile
  head/devel/hs-conduit-extra/Makefile
  head/devel/hs-configurator/Makefile
  head/devel/hs-constraints/Makefile
  head/devel/hs-convertible/Makefile
  head/devel/hs-cpphs/Makefile
  head/devel/hs-darcs/Makefile
  head/devel/hs-data-default/Makefile
  head/devel/hs-data-default-class/Makefile
  head/devel/hs-data-default-instances-base/Makefile
  head/devel/hs-data-default-instances-containers/Makefile
  head/devel/hs-data-default-instances-dlist/Makefile
  head/devel/hs-data-default-instances-old-locale/Makefile
  head/devel/hs-data-endian/Makefile
  head/devel/hs-data-hash/Makefile
  head/devel/hs-data-ordlist/Makefile
  head/devel/hs-data-pprint/Makefile
  head/devel/hs-date-cache/Makefile
  head/devel/hs-datetime/Makefile
  head/devel/hs-dbus/Makefile
  head/devel/hs-deepseq-generics/Makefile
  head/devel/hs-directory-tree/Makefile
  head/devel/hs-dlist/Makefile
  head/devel/hs-dlist-instances/Makefile
  head/devel/hs-easy-file/Makefile
  head/devel/hs-edit-distance/Makefile
  head/devel/hs-either/Makefile
  head/devel/hs-enclosed-exceptions/Makefile
  head/devel/hs-enumerator/Makefile
  head/devel/hs-equivalence/Makefile
  head/devel/hs-errors/Makefile
  head/devel/hs-exceptions/Makefile
  head/devel/hs-extensible-exceptions/Makefile
  head/devel/hs-extra/Makefile
  head/devel/hs-fast-logger/Makefile
  head/devel/hs-fgl/Makefile
  head/devel/hs-file-embed/Makefile
  head/devel/hs-filemanip/Makefile
  head/devel/hs-filestore/Makefile
  head/devel/hs-fmlist/Makefile
  head/devel/hs-foundation/Makefile
  head/devel/hs-free/Makefile
  head/devel/hs-fsnotify/Makefile
  head/devel/hs-gconf/Makefile
  head/devel/hs-generic-deriving/Makefile
  head/devel/hs-geniplate-mirror/Makefile
  head/devel/hs-ghc-events/Makefile
  head/devel/hs-ghc-mtl/Makefile
  head/devel/hs-ghc-paths/Makefile
  head/devel/hs-gio/Makefile
  head/devel/hs-git-annex/Makefile
  head/devel/hs-gitrev/Makefile
  head/devel/hs-glib/Makefile
  head/devel/hs-gtk2hs-buildtools/Makefile
  head/devel/hs-gtk2hs-buildtools/files/patch-c2hs_toplevel_C2HSConfig.hs
  head/devel/hs-haddock/Makefile
  head/devel/hs-haddock-api/Makefile
  head/devel/hs-haddock-library/Makefile
  head/devel/hs-happy/Makefile
  head/devel/hs-hashable/Makefile
  head/devel/hs-hashed-storage/Makefile
  head/devel/hs-hashtables/Makefile
  head/devel/hs-haskell-lexer/Makefile
  head/devel/hs-haskell-src/Makefile
  head/devel/hs-haskell-src-exts/Makefile
  head/devel/hs-hasktags/Makefile
  head/devel/hs-hastache/Makefile
  head/devel/hs-hex/Makefile
  head/devel/hs-hinotify/Makefile
  head/devel/hs-hint/Makefile
  head/devel/hs-hlibev/Makefile
  head/devel/hs-hlint/Makefile
  head/devel/hs-hoogle/Makefile
  head/devel/hs-hourglass/Makefile
  head/devel/hs-hsb2hs/Makefile
  head/devel/hs-hslogger/Makefile
  head/devel/hs-hslua/Makefile
  head/devel/hs-hspec/Makefile
  head/devel/hs-hspec-core/Makefile
  head/devel/hs-hspec-discover/Makefile
  head/devel/hs-hspec-expectations/Makefile
  head/devel/hs-io-streams/Makefile
  head/devel/hs-io-streams-haproxy/Makefile
  head/devel/hs-js-flot/Makefile
  head/devel/hs-js-jquery/Makefile
  head/devel/hs-keys/Makefile
  head/devel/hs-kqueue/Makefile
  head/devel/hs-language-c/Makefile
  head/devel/hs-language-c/distinfo
  head/devel/hs-language-javascript/Makefile
  head/devel/hs-largeword/Makefile
  head/devel/hs-lazysmallcheck/Makefile
  head/devel/hs-lens/Makefile
  head/devel/hs-lifted-async/Makefile
  head/devel/hs-lifted-base/Makefile
  head/devel/hs-logict/Makefile
  head/devel/hs-map-syntax/Makefile
  head/devel/hs-memory/Makefile
  head/devel/hs-microlens/Makefile
  head/devel/hs-microlens-th/Makefile
  head/devel/hs-microstache/Makefile
  head/devel/hs-mmap/Makefile
  head/devel/hs-mmorph/Makefile
  head/devel/hs-monad-control/Makefile
  head/devel/hs-monad-logger/Makefile
  head/devel/hs-monad-loops/Makefile
  head/devel/hs-monad-par/Makefile
  head/devel/hs-monad-par-extras/Makefile
  head/devel/hs-monad-unlift/Makefile
  head/devel/hs-monadplus/Makefile
  head/devel/hs-monads-tf/Makefile
  head/devel/hs-mono-traversable/Makefile
  head/devel/hs-mono-traversable-instances/Makefile
  head/devel/hs-mtl/Makefile
  head/devel/hs-mueval/Makefile
  head/devel/hs-murmur-hash/Makefile
  head/devel/hs-mutable-containers/Makefile
  head/devel/hs-ncurses/Makefile
  head/devel/hs-ncurses/files/
  head/devel/hs-ncurses/files/patch-lib_UI_NCurses.chs
  head/devel/hs-newtype/Makefile
  head/devel/hs-newtype-generics/Makefile
  head/devel/hs-old-locale/Makefile
  head/devel/hs-old-time/Makefile
  head/devel/hs-optparse-applicative/Makefile
  head/devel/hs-parallel/Makefile
  head/devel/hs-pcre-light/Makefile
  head/devel/hs-prelude-extras/Makefile
  head/devel/hs-preprocessor-tools/Makefile
  head/devel/hs-prettyclass/Makefile
  head/devel/hs-primitive/Makefile
  head/devel/hs-process-extras/Makefile
  head/devel/hs-profunctors/Makefile
  head/devel/hs-project-template/Makefile
  head/devel/hs-psqueues/Makefile
  head/devel/hs-quickcheck-io/Makefile
  head/devel/hs-random/Makefile
  head/devel/hs-readable/Makefile
  head/devel/hs-readline/Makefile
  head/devel/hs-refact/Makefile
  head/devel/hs-reflection/Makefile
  head/devel/hs-resource-pool/Makefile
  head/devel/hs-resourcet/Makefile
  head/devel/hs-safe/Makefile
  head/devel/hs-safe-exceptions/Makefile
  head/devel/hs-say/Makefile
  head/devel/hs-scientific/Makefile
  head/devel/hs-securemem/Makefile
  head/devel/hs-setenv/Makefile
  head/devel/hs-setlocale/Makefile
  head/devel/hs-shake/Makefile
  head/devel/hs-show/Makefile
  head/devel/hs-silently/Makefile
  head/devel/hs-simple-reflect/Makefile
  head/devel/hs-smallcheck/Makefile
  head/devel/hs-split/Makefile
  head/devel/hs-stm/Makefile
  head/devel/hs-stm-chans/Makefile
  head/devel/hs-streaming-commons/Makefile
  head/devel/hs-strict/Makefile
  head/devel/hs-syb/Makefile
  head/devel/hs-syb-with-class/Makefile
  head/devel/hs-system-fileio/Makefile
  head/devel/hs-system-filepath/Makefile
  head/devel/hs-tagged/Makefile
  head/devel/hs-temporary/Makefile
  head/devel/hs-terminal-size/Makefile
  head/devel/hs-test-framework/Makefile
  head/devel/hs-test-framework-hunit/Makefile
  head/devel/hs-test-framework-quickcheck2/Makefile
  head/devel/hs-text/Makefile
  head/devel/hs-text-icu/Makefile
  head/devel/hs-text-short/Makefile
  head/devel/hs-tf-random/Makefile
  head/devel/hs-th-abstraction/Makefile
  head/devel/hs-th-lift/Makefile
  head/devel/hs-th-lift-instances/Makefile
  head/devel/hs-threads/Makefile
  head/devel/hs-threadscope/Makefile
  head/devel/hs-time-compat/Makefile
  head/devel/hs-time-locale-compat/Makefile
  head/devel/hs-timezone-olson/Makefile
  head/devel/hs-timezone-series/Makefile
  head/devel/hs-transformers-base/Makefile
  head/devel/hs-transformers-compat/Makefile
  head/devel/hs-typed-process/Makefile
  head/devel/hs-unamb/Makefile
  head/devel/hs-unexceptionalio/Makefile
  head/devel/hs-uniplate/Makefile
  head/devel/hs-unix-compat/Makefile
  head/devel/hs-unix-time/Makefile
  head/devel/hs-unordered-containers/Makefile
  head/devel/hs-utf8-light/Makefile
  head/devel/hs-utf8-string/Makefile
  head/devel/hs-utility-ht/Makefile
  head/devel/hs-uuagc/Makefile
  head/devel/hs-uuagc-bootstrap/Makefile
  head/devel/hs-uuagc-cabal/Makefile
  head/devel/hs-uuid/Makefile
  head/devel/hs-uuid-types/Makefile
  head/devel/hs-uulib/Makefile
  head/devel/hs-vault/Makefile
  head/devel/hs-vector/Makefile
  head/devel/hs-vector-algorithms/Makefile
  head/devel/hs-vector-binary-instances/Makefile
  head/devel/hs-vector-instances/Makefile
  head/devel/hs-vector-th-unbox/Makefile
  head/devel/hs-void/Makefile
  head/devel/hs-wl-pprint-text/Makefile
  head/devel/hs-word8/Makefile
  head/devel/stack/Makefile
  head/dns/hs-dns/Makefile
  head/dns/hs-gnuidn/Makefile
  head/ftp/hs-curl/Makefile
  head/games/hs-scroll/Makefile
  head/graphics/hs-HGL/Makefile
  head/graphics/hs-JuicyPixels/Makefile
  head/graphics/hs-cairo/Makefile
  head/graphics/hs-dia-base/Makefile
  head/graphics/hs-dia-functions/Makefile
  head/graphics/hs-graphviz/Makefile
  head/graphics/hs-svgcairo/Makefile
  head/lang/ghc/Makefile
  head/lang/ghc/bsd.cabal.mk
  head/lang/ghc/files/patch-compiler_main_SysTools.hs
  head/lang/ghc/files/patch-includes_rts_storage_ClosureMacros.h
  head/lang/ghc/files/patch-rts_Linker.c
  head/lang/hs-brainfuck/Makefile
  head/lang/hs-unlambda/Makefile
  head/mail/hs-email-validate/Makefile
  head/mail/hs-mime/Makefile
  head/mail/hs-mime-mail/Makefile
  head/mail/hs-mime-types/Makefile
  head/math/hs-Agda/Makefile
  head/math/hs-Agda-stdlib/Makefile
  head/math/hs-NumInstances/Makefile
  head/math/hs-adjunctions/Makefile
  head/math/hs-categories/Makefile
  head/math/hs-comonad/Makefile
  head/math/hs-contravariant/Makefile
  head/math/hs-data-lens/Makefile
  head/math/hs-data-lens-template/Makefile
  head/math/hs-distributive/Makefile
  head/math/hs-erf/Makefile
  head/math/hs-fixed/Makefile
  head/math/hs-half/Makefile
  head/math/hs-ieee754/Makefile
  head/math/hs-integer-logarithms/Makefile
  head/math/hs-kan-extensions/Makefile
  head/math/hs-math-functions/Makefile
  head/math/hs-mwc-random/Makefile
  head/math/hs-pointed/Makefile
  head/math/hs-probability/Makefile
  head/math/hs-semigroupoids/Makefile
  head/math/hs-semigroups/Makefile
  head/math/hs-statistics/Makefile
  head/math/hs-vector-space/Makefile
  head/net/hs-aws/Makefile
  head/net/hs-connection/Makefile
  head/net/hs-gsasl/Makefile
  head/net/hs-hoauth2/Makefile
  head/net/hs-hostname/Makefile
  head/net/hs-iproute/Makefile
  head/net/hs-maccatcher/Makefile
  head/net/hs-network/Makefile
  head/net/hs-network-info/Makefile
  head/net/hs-network-multicast/Makefile
  head/net/hs-network-protocol-xmpp/Makefile
  head/net/hs-network-uri/Makefile
  head/net/hs-pcap/Makefile
  head/net/hs-publicsuffixlist/Makefile
  head/net/hs-sendfile/Makefile
  head/net/hs-simple-sendfile/Makefile
  head/net/hs-socks/Makefile
  head/net-im/hs-haskell-xmpp/Makefile
  head/net-p2p/hs-torrent/Makefile
  head/ports-mgmt/hs-porte/Makefile
  head/print/hs-hscolour/Makefile
  head/science/hs-bio/Makefile
  head/security/hs-Crypto/Makefile
  head/security/hs-DRBG/Makefile
  head/security/hs-HsOpenSSL/Makefile
  head/security/hs-RSA/Makefile
  head/security/hs-SHA/Makefile
  head/security/hs-certificate/Makefile
  head/security/hs-cipher-aes/Makefile
  head/security/hs-cipher-aes128/Makefile
  head/security/hs-cipher-blowfish/Makefile
  head/security/hs-cipher-camellia/Makefile
  head/security/hs-cipher-des/Makefile
  head/security/hs-cipher-rc4/Makefile
  head/security/hs-clientsession/Makefile
  head/security/hs-cprng-aes/Makefile
  head/security/hs-crypto-api/Makefile
  head/security/hs-crypto-cipher-types/Makefile
  head/security/hs-crypto-conduit/Makefile
  head/security/hs-crypto-numbers/Makefile
  head/security/hs-crypto-pubkey/Makefile
  head/security/hs-crypto-pubkey-types/Makefile
  head/security/hs-crypto-random/Makefile
  head/security/hs-crypto-random-api/Makefile
  head/security/hs-cryptocipher/Makefile
  head/security/hs-cryptohash/Makefile
  head/security/hs-cryptohash-conduit/Makefile
  head/security/hs-cryptohash-cryptoapi/Makefile
  head/security/hs-cryptohash-md5/Makefile
  head/security/hs-cryptohash-sha1/Makefile
  head/security/hs-cryptohash-sha256/Makefile
  head/security/hs-cryptonite/Makefile
  head/security/hs-digest/Makefile
  head/security/hs-ed25519/Makefile
  head/security/hs-entropy/Makefile
  head/security/hs-gnutls/Makefile
  head/security/hs-hackage-security/Makefile
  head/security/hs-monadcryptorandom/Makefile
  head/security/hs-nonce/Makefile
  head/security/hs-pem/Makefile
  head/security/hs-pureMD5/Makefile
  head/security/hs-pwstore-fast/Makefile
  head/security/hs-skein/Makefile
  head/security/hs-tls/Makefile
  head/security/hs-tls-session-manager/Makefile
  head/security/hs-x509/Makefile
  head/security/hs-x509-store/Makefile
  head/security/hs-x509-system/Makefile
  head/security/hs-x509-validation/Makefile
  head/shells/hs-shelly/Makefile
  head/sysutils/hs-angel/Makefile
  head/sysutils/hs-cpu/Makefile
  head/sysutils/hs-disk-free-space/Makefile
  head/sysutils/hs-ekg/Makefile
  head/sysutils/hs-ekg-core/Makefile
  head/sysutils/hs-ekg-json/Makefile
  head/sysutils/hs-mountpoints/Makefile
  head/textproc/hs-Diff/Makefile
  head/textproc/hs-HStringTemplate/Makefile
  head/textproc/hs-HaXml/Makefile
  head/textproc/hs-appar/Makefile
  head/textproc/hs-attoparsec/Makefile
  head/textproc/hs-attoparsec-enumerator/Makefile
  head/textproc/hs-attoparsec-iso8601/Makefile
  head/textproc/hs-bencode/Makefile
  head/textproc/hs-blaze-html/Makefile
  head/textproc/hs-blaze-markup/Makefile
  head/textproc/hs-bytestring-csv/Makefile
  head/textproc/hs-case-insensitive/Makefile
  head/textproc/hs-cassava/Makefile
  head/textproc/hs-cmark/Makefile
  head/textproc/hs-csv/Makefile
  head/textproc/hs-doctemplates/Makefile
  head/textproc/hs-double-conversion/Makefile
  head/textproc/hs-feed/Makefile
  head/textproc/hs-hexpat/Makefile
  head/textproc/hs-highlighting-kate/Makefile
  head/textproc/hs-hs-bibutils/Makefile
  head/textproc/hs-html/Makefile
  head/textproc/hs-html-conduit/Makefile
  head/textproc/hs-hxt/Makefile
  head/textproc/hs-hxt-charproperties/Makefile
  head/textproc/hs-hxt-regex-xmlschema/Makefile
  head/textproc/hs-hxt-unicode/Makefile
  head/textproc/hs-lhs2tex/Makefile
  head/textproc/hs-libxml/Makefile
  head/textproc/hs-libxml-sax/Makefile
  head/textproc/hs-magic/Makefile
  head/textproc/hs-pandoc/Makefile
  head/textproc/hs-pandoc-citeproc/Makefile
  head/textproc/hs-pandoc-types/Makefile
  head/textproc/hs-parsec/Makefile
  head/textproc/hs-polyparse/Makefile
  head/textproc/hs-pretty-show/Makefile
  head/textproc/hs-regex-applicative/Makefile
  head/textproc/hs-regex-base/Makefile
  head/textproc/hs-regex-compat/Makefile
  head/textproc/hs-regex-compat-tdfa/Makefile
  head/textproc/hs-regex-pcre/Makefile
  head/textproc/hs-regex-pcre-builtin/Makefile
  head/textproc/hs-regex-posix/Makefile
  head/textproc/hs-regex-tdfa/Makefile
  head/textproc/hs-rfc5051/Makefile
  head/textproc/hs-scanner/Makefile
  head/textproc/hs-skylighting/Makefile
  head/textproc/hs-stringsearch/Makefile
  head/textproc/hs-tagsoup/Makefile
  head/textproc/hs-tagstream-conduit/Makefile
  head/textproc/hs-texmath/Makefile
  head/textproc/hs-uri/Makefile
  head/textproc/hs-uri-bytestring/Makefile
  head/textproc/hs-uri-bytestring-aeson/Makefile
  head/textproc/hs-xml/Makefile
  head/textproc/hs-xml-conduit/Makefile
  head/textproc/hs-xml-hamlet/Makefile
  head/textproc/hs-xml-types/Makefile
  head/textproc/hs-xmlhtml/Makefile
  head/textproc/hs-yaml/Makefile
  head/www/hs-DAV/Makefile
  head/www/hs-HTTP/Makefile
  head/www/hs-activehs/Makefile
  head/www/hs-authenticate/Makefile
  head/www/hs-cgi/Makefile
  head/www/hs-cookie/Makefile
  head/www/hs-css-text/Makefile
  head/www/hs-fastcgi/Makefile
  head/www/hs-gitit/Makefile
  head/www/hs-hS3/Makefile
  head/www/hs-happstack/Makefile
  head/www/hs-happstack-server/Makefile
  head/www/hs-heist/Makefile
  head/www/hs-hjsmin/Makefile
  head/www/hs-http-api-data/Makefile
  head/www/hs-http-client/Makefile
  head/www/hs-http-client-tls/Makefile
  head/www/hs-http-conduit/Makefile
  head/www/hs-http-date/Makefile
  head/www/hs-http-reverse-proxy/Makefile
  head/www/hs-http-server/Makefile
  head/www/hs-http-types/Makefile
  head/www/hs-http2/Makefile
  head/www/hs-multipart/Makefile
  head/www/hs-oeis/Makefile
  head/www/hs-path-pieces/Makefile
  head/www/hs-recaptcha/Makefile
  head/www/hs-shakespeare/Makefile
  head/www/hs-snap/Makefile
  head/www/hs-snap-core/Makefile
  head/www/hs-snap-server/Makefile
  head/www/hs-url/Makefile
  head/www/hs-wai/Makefile
  head/www/hs-wai-app-static/Makefile
  head/www/hs-wai-extra/Makefile
  head/www/hs-wai-logger/Makefile
  head/www/hs-warp/Makefile
  head/www/hs-warp-tls/Makefile
  head/www/hs-webkit/Makefile
  head/www/hs-xss-sanitize/Makefile
  head/www/hs-yesod/Makefile
  head/www/hs-yesod-auth/Makefile
  head/www/hs-yesod-auth-hashdb/Makefile
  head/www/hs-yesod-bin/Makefile
  head/www/hs-yesod-core/Makefile
  head/www/hs-yesod-form/Makefile
  head/www/hs-yesod-persistent/Makefile
  head/www/hs-yesod-static/Makefile
  head/www/hs-yesod-test/Makefile
  head/x11/hs-X11/Makefile
  head/x11/hs-X11-xft/Makefile
  head/x11/hs-xmobar/Makefile
  head/x11-toolkits/hs-GLURaw/Makefile
  head/x11-toolkits/hs-GLUT/Makefile
  head/x11-toolkits/hs-OpenGL/Makefile
  head/x11-toolkits/hs-OpenGLRaw/Makefile
  head/x11-toolkits/hs-gtk/Makefile
  head/x11-toolkits/hs-gtk2hs/Makefile
  head/x11-toolkits/hs-gtksourceview2/Makefile
  head/x11-toolkits/hs-pango/Makefile
  head/x11-toolkits/hs-vte/Makefile
  head/x11-toolkits/hs-wx/Makefile
  head/x11-toolkits/hs-wxc/Makefile
  head/x11-toolkits/hs-wxcore/Makefile
  head/x11-toolkits/hs-wxdirect/Makefile
  head/x11-wm/hs-xmonad/Makefile
  head/x11-wm/hs-xmonad-contrib/Makefile
Comment 9 Tobias C. Berner freebsd_committer 2018-02-10 08:05:51 UTC
Thanks for the exp-run.

Committed.